org.eclipse.wst.jsdt.chromium.debug.ui.actions

## Class V8ScriptAction

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.actions.SelectionBasedAction<T>
  - - org.eclipse.wst.jsdt.chromium.debug.ui.actions.SelectionBasedAction.Single<RES>
    - - org.eclipse.wst.jsdt.chromium.debug.ui.actions.V8ScriptAction

Direct Known Subclasses:
  LiveEditWizardAction, PushChangesAction

    public abstract class V8ScriptAction
    extends SelectionBasedAction.Single<RES>

A base class for all LiveEdit actions that are scoped to a working file from user workspace. It makes all necessary checks and prepares data in form of `ScriptTargetMapping` class. The concrete actions implement the `#execute(List, Shell)` method.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.wst.jsdt.chromium.debug.ui.actions.SelectionBasedAction

`SelectionBasedAction.ActionRunnable, SelectionBasedAction.Single<T>`

### Constructor Summary

Constructors
Constructor and Description
`V8ScriptAction()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected RES` `castElement(java.lang.Object element)` User-provided method that casts raw selection element to user type T.
`SelectionBasedAction.ActionRunnable` `createRunnable(IFile file)`
`protected abstract void` `execute(java.util.List<? extends ScriptTargetMapping> filePairList, Shell shell, IWorkbenchPart workbenchPart)`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.ui.actions.SelectionBasedAction.Single

`readSelection`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.ui.actions.SelectionBasedAction

`dispose, getAction, init, modifyActionText, restoreActionText, run, runWithEvent, selectionChanged, setActivePart`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### V8ScriptAction

    public V8ScriptAction()

### Method Detail

#### createRunnable

    public SelectionBasedAction.ActionRunnable createRunnable(IFile file)

Specified by:
  `createRunnable` in class `SelectionBasedAction<IFile>`

#### execute

    protected abstract void execute(java.util.List<? extends ScriptTargetMapping> filePairList,
                                    Shell shell,
                                    IWorkbenchPart workbenchPart)

#### castElement

    protected RES castElement(java.lang.Object element)

Description copied from class: `SelectionBasedAction.Single`
User-provided method that casts raw selection element to user type T. Method may return null which means that this raw object should be ignored.

Specified by:
  `castElement` in class `SelectionBasedAction.Single<RES>`